if (FALSE) {
"locations.present" <-
function(shape,maxlocations=32)
#  locations.present takes a shape output 
# and returns a logical vector with TRUE where a location is
# present and FALSE otherwise 
{
  res <- logical(maxlocations)
  for (i in c(maxlocations:1)) {
    res[i] <- (shape%/%(2^(i - 1))>0)
    shape <- shape%%(2^(i - 1))
  }
  res
}
}

"locations.present" <-
function(shape,maxlocations=32)
#  locations.present takes a shape output 
# and returns a logical vector with TRUE where a location is
# present and FALSE otherwise 
{
  if (missing(maxlocations))
    maxlocations <- floor(log(max(shape),2))+1
  r <- .C("conv"
     ,as.integer(shape)
     ,as.integer(length(shape)),
     ,as.logical(numeric(maxlocations*length(shape)))
     ,as.integer(maxlocations)
     )
  matrix(r[[3]],ncol=maxlocations,byrow=T)
}

