\name{lposterior}
\alias{lposterior}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Calculate the log of the posterior density for each row of
  BATWING output }
\description{
  Calculate the log of the posterior density for each row of
  BATWING output
}
\usage{
lposterior(o)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{o}{ BATWING output read in with \code{rbat} or otherwise }
}
\value{
 A vector of the log posterior densities, one for each row.
}
\references{ \url{http://www.mas.ncl.ac.uk/~nijw}}
\author{ Ian J Wilson \email{I.J.Wilson@ncl.ac.uk}}

\seealso{  \code{\link{TMRCA}} }

\examples{
data(exampleoutput)
plot(lposterior(exampleoutput),type="l")
}
\keyword{ manip}% at least one, from doc/KEYWORDS

