if (FALSE) {

"getstats" <-
function(o,sf=4,table=T,txt="") {
  if (!is.vector(o)) {
    cls <- ncol(o)
    cat(",mean, median, 95% interval\n")
    for (i in 1:cls)
      getstats(o[,i],sf,table,colnames(o)[i])
  } else {
    if (!table) {
      cat(paste(txt,"\n"))
      cat(paste("mean ",signif(mean(o),digits=sf),"\n"))
      cat(paste("median ",signif(median(o),digits=sf),"\n"))
      cat(
          paste(
                "95% interval (",
                paste(
                      signif(
                             quantile(o,probs=c(0.025,0.975))
                             ,digits=sf)
                      ,collapse=",")
                ,")\n"
                )
          )
    } else {
      if (txt!="") cat(paste(txt,","))
      cat(signif(mean(o),digits=sf),
          signif(median(o),digits=sf),
          paste("(",
                paste(
                      signif(quantile(o,probs=c(0.025,0.975)),digits=sf)
                      ,sep="",collapse=" "),
                ")\n",collapse=""),sep=","
          )
    }
  }
}
}

"getstats" <-
function(o,sf=4,probs=c(0.1,0.9)) {
  lstats <- function(xx,prb) {
    return(c(mean(xx),median(xx),quantile(xx,probs=prb)))
  }

  m <- apply(o,2,lstats,prb=probs)
  rownames(m)[1:2] <- c("mean","median")

  signif(m,digits=sf)
  
}
