"supported" <-
function (shapes, howmany = 200) 
#
#  Supported returns the (howmany) most frequent shapes in the 
#  vector or matrix shapes as a list
#  
{
  tab <-  table(unlist(shapes))
  if (length(tab) < howmany) howmany <- length(tab)
    s <- sort(-tab)
    trees <- names(s[1:howmany])
    freq <- as.vector(-s[1:howmany])
    list(trees = as.integer(trees), freq = freq, p = freq/sum(tab))
  }
