\name{trim}
\alias{trim}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Remove the first few rows from output. }
\description{
  A simple utility function to remove the first few rows from batwing
  output.
}
\usage{
trim(o, howmany)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{o}{ A batwing output }
  \item{howmany}{ how many rows to remove}
}
\details{
  A simple utility function to remove the first few rows from batwing
  output.  This is needed to remove the burn-in from the Markov chain.
}
\value{
  returns a shorter set of batwing output.
}
\references{ \url{http://www.mas.ncl.ac.uk/~nijw}}
\author{ Ian J Wilson \email{I.J.Wilson@ncl.ac.uk}}

\seealso{\code{\link{rbat}} }

\examples{
data(exampleoutput)
a <- trim(exampleoutput,100)
apply(a[4:7],2,quantile,probs=c(0.1,0.5,0.9))
}
\keyword{ manip }% at least one, from doc/KEYWORDS

