#include <bitset>
#include <iostream>

using std::bitset;

const int maxbits=32;
extern "C" {
  void conv(int *vals, int *len, int *res, int *npops)
  {
    for (int i=0;i< *len;i++) {
      bitset<maxbits> tmp(vals[i]);
      for (int j=0;j< *npops;j++) {
	if (tmp.test(j)) res[i*(*npops)+j]=1;
      }
    }
  }
}
